import json

AUTHOR = 'Fachgruppe Informatik'
SITENAME = 'Dieser Wert wird ignoriert und soll stattdessen in lang.json geändert werden.'
SITEURL = ''

PATH = 'content'

TIMEZONE = 'Europe/Berlin'

DEFAULT_LANG = 'de'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

#DEFAULT_PAGINATION = 10
DEFAULT_PAGINATION = False

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = False

OUTPUT_SOURCES = True

TYPOGRIFY = True

STATIC_PATHS = ['images']


PANDOC_ARGS = [
#    "--mathjax",
#    "--citeproc",
    "--table-of-contents",
]

PANDOC_EXTENSIONS = [
    "+abbreviations",
    "+all_symbols_escapable",
    "+ascii_identifiers",
    "+auto_identifiers",
    "+autolink_bare_uris",
    "+backtick_code_blocks",
    "+bracketed_spans",
    "+definition_lists",
    "+emoji",
    "+escaped_line_breaks",
    "+example_lists",
    "+fancy_lists",
    "+fenced_code_attributes",
    "+fenced_code_blocks",
    "+fenced_divs",
    "+footnotes",
    "+gfm_auto_identifiers",
    "+grid_tables",
    "+hard_line_breaks",
    "+header_attributes",
    "+implicit_figures",
    "+implicit_header_references",
    "+inline_code_attributes",
    "+inline_notes",
    "+intraword_underscores",
    "+latex_macros",
    "+line_blocks",
    "+link_attributes",
    "+lists_without_preceding_blankline",
    "+multiline_tables",
    "+native_divs",
    "+native_spans",
    "+pipe_tables",
    "+raw_attribute",
    "+raw_html",
    "+raw_tex",
    "+shortcut_reference_links",
    "+simple_tables",
    "+smart",
    "+space_in_atx_header",
    "+startnum",
    "+strikeout",
    "+subscript",
    "+superscript",
    "+table_captions",
    "+tex_math_dollars",
    "+tex_math_single_backslash",
    "+yaml_metadata_block",
    "-angle_brackets_escapable",
    "-blank_before_blockquote",
    "-blank_before_header",
    "-citations",
    "-compact_definition_lists",
    "-east_asian_line_breaks",
    "-four_space_rule",
    "-ignore_line_breaks",
    "-literate_haskell",
    "-markdown_attribute",
    "-markdown_in_html_blocks",
    "-mmd_header_identifiers",
    "-mmd_link_attributes",
    "-mmd_title_block",
    "-old_dashes",
    "-pandoc_title_block",
    "-spaced_reference_links",
    "-tex_math_double_backslash",
]

CALCULATE_READING_TIME = True


PLUGIN_PATHS = ['./pelican-plugins']
PLUGINS = ['filetime_from_git']

THEME = './theme'
JINJA_GLOBALS = {} 
with open('./lang.json') as json_file:
    JINJA_GLOBALS['l'] = json.load(json_file)
with open('./siteconf.json') as json_file:
    JINJA_GLOBALS['sc'] = json.load(json_file)

